function [newpos] = sampleParticle(pos, movement, variance, dt)
  %Add noise to position and rotation
  deltaPos = randgauss(movement(1)*dt, variance(1)^2);
  deltaRot = randgauss(movement(2)*dt, variance(2)^2);
  
  %Calculate change in position and rotation
  delta = zeros(3,1);
  delta(1,1) = cos(pos(3)+deltaRot)*deltaPos;
  delta(2,1) = sin(pos(3)+deltaRot)*deltaPos;
  delta(3,1) = deltaRot;

  %Add change to current position
  newpos = pos+delta;
end
